Feedback reports
The Feedback report object#
Every field on a feedback report, as returned by retrieve and carried by the endpoints below.
Attributes
actual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringRequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringRequiredkindenumRequiredrating
related_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agent
reporting_clientobjectnamestringRequiredplatformenummacoslinuxwindowsiosandroidwebother
schema_versionstringversionstringreproduction_stepsarray of stringsentimentenumRequiredpositivenegativeneutral
summarystringsurfaceenumRequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileother
surface_routestringactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringRequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringRequiredkindenumRequiredpapercutbugfeature_requestpraiseother
related_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agent
reporting_clientobjectnamestringRequiredplatformenummacoslinuxwindowsiosandroidwebother
schema_versionstringversionstringreproduction_stepsarray of stringsentimentenumpositivenegativeneutral
summarystringRequiredsurfaceenumRequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileother
surface_routestringList feedback reports#
GET
/v1/feedback-reportsLists feedback reports in descending creation order for the credential's merchant and environment.
Query parameters
page_sizeintegerNumber of reports to return.
page_tokenstringOpaque token returned by the previous page.
Response · 200
dataarray of one ofRequiredactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringRequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringRequiredkindenumRequiredrating
related_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agent
reporting_clientobjectreproduction_stepsarray of stringsentimentenumRequiredpositivenegativeneutral
summarystringsurfaceenumRequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileother
surface_routestringmetaobjectapi_versionstringidempotency_replayedbooleanrequest_idstringtrace_idstringwarningsarray of objectnext_page_tokenstringrequest_idstring- AMBIGUOUS_AUTH
- API_KEY_EXPIRED
- API_KEY_MODE_MISMATCH
- API_KEY_NOT_FOUND
- API_KEY_REQUIRED
- API_KEY_REVOKED
- API_KEY_SANDBOX_UNAVAILABLE
- API_KEY_SCOPE_UNSUPPORTED
- API_VERSION_RETIRED
- AUTH_VALIDATION_FAILED
- DEFAULT_ENVIRONMENT_REQUIRED
- DEMO_SESSION_ROUTE_NOT_ALLOWED
- ENVIRONMENT_LOOKUP_FAILED
- ENVIRONMENT_REQUIRED
- EXTERNAL_API_KEY_REQUIRED
- FEEDBACK_REPORTS_UNAVAILABLE
- INSUFFICIENT_SCOPE
- INTERNAL_ERROR
- INVALID_API_KEY
- INVALID_API_VERSION
- INVALID_AUTHORIZATION_HEADER
- INVALID_EXPAND
- INVALID_JSON
- INVALID_MODE
- INVALID_OAUTH_TOKEN
- INVALID_PAGE_SIZE
- INVALID_PAGE_TOKEN
- INVALID_REQUEST
- MERCHANT_ACCESS_REQUIRED
- OAUTH_CONTEXT_MISMATCH
- OAUTH_UNAVAILABLE
- ORG_SCOPE_RESOLUTION_FAILED
- PARTNER_AUTH_UNSUPPORTED
- RATE_LIMIT_EXCEEDED
- REQUEST_BODY_TOO_LARGE
- SANDBOX_SELECTION_REQUIRED
- SERVICE_UNAVAILABLE
- UNSUPPORTED_QUERY_PARAM
curl https://api.withflintpay.com/v1/feedback-reports \
-H "Flint-Version: 2026-09-07" \
-H "Authorization: Bearer YOUR_API_KEY"Create a feedback report#
POST
/v1/feedback-reportsIdempotentStores one immutable occurrence of Flint feedback. Use one report per root cause and include only the evidence needed to describe Flint's behavior.
Request body
actual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringdescriptionstringexpected_behaviorstringkindenumRequiredrating
related_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agent
reporting_clientobjectnamestringRequiredplatformenummacoslinuxwindowsiosandroidwebother
schema_versionstringversionstringreproduction_stepsarray of stringsentimentenumRequiredpositivenegativeneutral
summarystringsurfaceenumRequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileother
surface_routestringactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringdescriptionstringexpected_behaviorstringkindenumRequiredpapercutbugfeature_requestpraiseother
related_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agent
reporting_clientobjectnamestringRequiredplatformenummacoslinuxwindowsiosandroidwebother
schema_versionstringversionstringreproduction_stepsarray of stringsentimentenumpositivenegativeneutral
summarystringRequiredsurfaceenumRequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileother
surface_routestringResponse · 201
dataone ofRequiredactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringRequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringRequiredkindenumRequiredrating
related_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agent
reporting_clientobjectreproduction_stepsarray of stringsentimentenumRequiredpositivenegativeneutral
summarystringsurfaceenumRequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileother
surface_routestringmetaobjectapi_versionstringidempotency_replayedbooleanrequest_idstringtrace_idstringwarningsarray of objectrequest_idstring- AMBIGUOUS_AUTH
- API_KEY_EXPIRED
- API_KEY_MODE_MISMATCH
- API_KEY_NOT_FOUND
- API_KEY_REQUIRED
- API_KEY_REVOKED
- API_KEY_SANDBOX_UNAVAILABLE
- API_KEY_SCOPE_UNSUPPORTED
- API_VERSION_RETIRED
- AUTH_VALIDATION_FAILED
- DEFAULT_ENVIRONMENT_REQUIRED
- DEMO_SESSION_ROUTE_NOT_ALLOWED
- ENVIRONMENT_LOOKUP_FAILED
- ENVIRONMENT_REQUIRED
- EXTERNAL_API_KEY_REQUIRED
- FEEDBACK_REPORTS_UNAVAILABLE
- IDEMPOTENCY_KEY_IN_PROGRESS
- IDEMPOTENCY_KEY_REUSED
- INSUFFICIENT_SCOPE
- INTERNAL_ERROR
- INVALID_API_KEY
- INVALID_API_VERSION
- INVALID_AUTHORIZATION_HEADER
- INVALID_EXPAND
- INVALID_FEEDBACK_KIND
- INVALID_FEEDBACK_SHAPE
- INVALID_FEEDBACK_SURFACE
- INVALID_IDEMPOTENCY_KEY
- INVALID_JSON
- INVALID_MODE
- INVALID_OAUTH_TOKEN
- INVALID_RELATED_REQUEST_ID
- INVALID_RELATED_RESOURCE_ID
- INVALID_REQUEST
- INVALID_SURFACE_ROUTE
- MERCHANT_ACCESS_REQUIRED
- OAUTH_CONTEXT_MISMATCH
- OAUTH_UNAVAILABLE
- ORG_SCOPE_RESOLUTION_FAILED
- PARTNER_AUTH_UNSUPPORTED
- RATE_LIMIT_EXCEEDED
- REQUEST_BODY_TOO_LARGE
- SANDBOX_SELECTION_REQUIRED
- SERVICE_UNAVAILABLE
- UNSAFE_FEEDBACK_CONTENT
- UNSUPPORTED_CONTENT_TYPE
- UNSUPPORTED_QUERY_PARAM
curl -X POST https://api.withflintpay.com/v1/feedback-reports \
-H "Flint-Version: 2026-09-07" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: a-unique-key" \
-d '{
"kind": "papercut",
"surface": "api"
}'Get a feedback report#
GET
/v1/feedback-reports/{feedback_report_id}Returns one immutable feedback report in the credential's merchant and environment.
Path parameters
feedback_report_idstringRequiredFlint feedback report ID.
Response · 200
dataone ofRequiredactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringRequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringRequiredkindenumRequiredrating
related_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agent
reporting_clientobjectreproduction_stepsarray of stringsentimentenumRequiredpositivenegativeneutral
summarystringsurfaceenumRequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileother
surface_routestringmetaobjectapi_versionstringidempotency_replayedbooleanrequest_idstringtrace_idstringwarningsarray of objectrequest_idstring- AMBIGUOUS_AUTH
- API_KEY_EXPIRED
- API_KEY_MODE_MISMATCH
- API_KEY_NOT_FOUND
- API_KEY_REQUIRED
- API_KEY_REVOKED
- API_KEY_SANDBOX_UNAVAILABLE
- API_KEY_SCOPE_UNSUPPORTED
- API_VERSION_RETIRED
- AUTH_VALIDATION_FAILED
- DEFAULT_ENVIRONMENT_REQUIRED
- DEMO_SESSION_ROUTE_NOT_ALLOWED
- ENVIRONMENT_LOOKUP_FAILED
- ENVIRONMENT_REQUIRED
- EXTERNAL_API_KEY_REQUIRED
- FEEDBACK_REPORTS_UNAVAILABLE
- FEEDBACK_REPORT_NOT_FOUND
- INSUFFICIENT_SCOPE
- INTERNAL_ERROR
- INVALID_API_KEY
- INVALID_API_VERSION
- INVALID_AUTHORIZATION_HEADER
- INVALID_EXPAND
- INVALID_JSON
- INVALID_MODE
- INVALID_OAUTH_TOKEN
- INVALID_REQUEST
- MERCHANT_ACCESS_REQUIRED
- OAUTH_CONTEXT_MISMATCH
- OAUTH_UNAVAILABLE
- ORG_SCOPE_RESOLUTION_FAILED
- PARTNER_AUTH_UNSUPPORTED
- RATE_LIMIT_EXCEEDED
- REQUEST_BODY_TOO_LARGE
- RESOURCE_NOT_FOUND
- SANDBOX_SELECTION_REQUIRED
- SERVICE_UNAVAILABLE
- UNSUPPORTED_QUERY_PARAM
curl https://api.withflintpay.com/v1/feedback-reports/{feedback_report_id} \
-H "Flint-Version: 2026-09-07" \
-H "Authorization: Bearer YOUR_API_KEY"Was this helpful?
